Bug 656069 - bump python-rdflib to 3.0.0
Summary: bump python-rdflib to 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rdflib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 00:26 UTC by Dan Callaghan
Modified: 2012-02-21 16:52 UTC (History)
3 users (show)

Fixed In Version: python-rdflib-3.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 02:29:18 UTC
Type: ---


Attachments (Terms of Use)
patch for python-rdflib packaging to bump to 3.0.0 (5.33 KB, patch)
2010-11-23 00:26 UTC, Dan Callaghan
no flags Details | Diff

Description Dan Callaghan 2010-11-23 00:26:59 UTC
Created attachment 462186 [details]
patch for python-rdflib packaging to bump to 3.0.0

We're using rdflib-3.0.0 on RHEL5 for Beaker. I had to make a few changes to the packaging to update it to version 3.0.0 (patch attached). It would be great if this could make it into EPEL for RHEL5 :-)

Comment 1 Stefan Seefeld 2011-09-28 00:26:35 UTC
Any news on this ? I'd like to see an update, too.

Thanks,

Comment 2 Dave Malcolm 2011-09-28 18:40:48 UTC
Sorry for not getting around to this (I haven't used rdflib in a long time)

I noticed that in the meantime that 3.1.0 is out.

I've updated python-rdflib in rawdhide (for f17) to 3.1.0, using parts of your patch as a basis:
  http://pkgs.fedoraproject.org/gitweb/?p=python-rdflib.git;a=commitdiff;h=bb63a7d9a512e960c4cbbb06c5337b0946dcc9a8

Building python-rdflib-3.1.0-1.fc17 for dist-rawhide
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3386074

Thanks!

I'm a little wary about bumping EPEL5's python-rdflib from 2.4.0 to 3.*, as 3.* seems to have dropped a lot of functionality, moving it to extensions.  Having said that, I'm no longer using rdflib, so I'll defer to people who are.

Looking at the parts of the patch for the 2.4 port (for EPEL5), does it lead to valid Python code? The result of applying:
https://bugzilla.redhat.com/attachment.cgi?id=462186&action=diff#a/rdflib-3.0.0-python24.patch_sec1
looks like it leads to a syntax error.

Comment 3 Stefan Seefeld 2011-09-28 18:48:13 UTC
Thanks ! What about F16 (to be released in a couple of weeks) ? It would be great to get it in there, too. (Or even F15, for that matter.)

Comment 4 Dave Malcolm 2011-09-28 19:04:04 UTC
(In reply to comment #3)
> Thanks ! What about F16 (to be released in a couple of weeks) ? It would be
> great to get it in there, too. (Or even F15, for that matter.)

I merged the changes from master to f16:
  Building python-rdflib-3.1.0-1.fc16 for f16-candidate
  Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3386114

Comment 5 Fedora Update System 2011-09-28 22:46:49 UTC
python-rdflib-3.1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-rdflib-3.1.0-1.fc16

Comment 6 Fedora Update System 2011-09-29 04:48:26 UTC
Package python-rdflib-3.1.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rdflib-3.1.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-rdflib-3.1.0-1.fc16
then log in and leave karma (feedback).

Comment 7 Dan Callaghan 2011-09-29 05:48:45 UTC
(In reply to comment #2)
> Sorry for not getting around to this (I haven't used rdflib in a long time)
> 
> I noticed that in the meantime that 3.1.0 is out.
> 
> I've updated python-rdflib in rawdhide (for f17) to 3.1.0, using parts of your
> patch as a basis:
>  
> http://pkgs.fedoraproject.org/gitweb/?p=python-rdflib.git;a=commitdiff;h=bb63a7d9a512e960c4cbbb06c5337b0946dcc9a8
> 
> Building python-rdflib-3.1.0-1.fc17 for dist-rawhide
> Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3386074
> 
> Thanks!

No worries. I forgot all about this bug, we have actually been using 3.1.0 on RHEL5 for some time now.

We found one Python 2.4 compatibility issue (different to the one in 3.0.0) which I reported upstream with a patch:

http://code.google.com/p/rdflib/issues/detail?id=177

We're using that patch in our package.

> I'm a little wary about bumping EPEL5's python-rdflib from 2.4.0 to 3.*, as 3.*
> seems to have dropped a lot of functionality, moving it to extensions.  Having
> said that, I'm no longer using rdflib, so I'll defer to people who are.

Agreed that it might be best to leave EPEL5 at 2.4.

> Looking at the parts of the patch for the 2.4 port (for EPEL5), does it lead to
> valid Python code? The result of applying:
> https://bugzilla.redhat.com/attachment.cgi?id=462186&action=diff#a/rdflib-3.0.0-python24.patch_sec1
> looks like it leads to a syntax error.

No you're right, that was either my mistake when generating the attached patch or Bugzilla has gone mental. The patch was supposed to replace the bare "yield" statement with an equivalent "yield None". It has been fixed upstream in 3.1.0 anyway.

Comment 8 Fedora Update System 2012-01-20 17:42:00 UTC
python-rdflib-3.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-rdflib-3.2.0-1.el6

Comment 9 Fedora Update System 2012-01-20 17:42:10 UTC
python-rdflib-3.2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-rdflib-3.2.0-1.fc15

Comment 10 Fedora Update System 2012-01-20 17:42:18 UTC
python-rdflib-3.2.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-rdflib-3.2.0-1.el5

Comment 11 Fedora Update System 2012-01-20 17:42:27 UTC
python-rdflib-3.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-rdflib-3.2.0-1.fc16

Comment 12 Dan Callaghan 2012-01-22 23:29:04 UTC
It looks like 3.2.0 has introduced a dependency on the isodate module:

$ python -c 'import rdflib'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/rdflib/__init__.py", line 65, in <module>
    from rdflib.term import URIRef, BNode, Literal, Variable
  File "/usr/lib/python2.7/site-packages/rdflib/term.py", line 49, in <module>
    from isodate import parse_time, parse_date, parse_datetime
ImportError: No module named isodate

python-isodate is already packaged for F16, but not for F15 and EL6.

Comment 13 Pierre-YvesChibon 2012-01-23 16:01:43 UTC
(In reply to comment #12)
> It looks like 3.2.0 has introduced a dependency on the isodate module:
> 
> $ python -c 'import rdflib'
> Traceback (most recent call last):
>   File "<string>", line 1, in <module>
>   File "/usr/lib/python2.7/site-packages/rdflib/__init__.py", line 65, in
> <module>
>     from rdflib.term import URIRef, BNode, Literal, Variable
>   File "/usr/lib/python2.7/site-packages/rdflib/term.py", line 49, in <module>
>     from isodate import parse_time, parse_date, parse_datetime
> ImportError: No module named isodate
> 
> python-isodate is already packaged for F16, but not for F15 and EL6.

Reported on #784027

Comment 14 Fedora Update System 2012-01-23 16:23:07 UTC
python-rdflib-3.2.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-rdflib-3.2.0-2.fc16

Comment 15 Fedora Update System 2012-02-08 02:29:18 UTC
python-rdflib-3.2.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-02-21 16:52:45 UTC
python-rdflib-3.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.